aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/ak-tempassin11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/ak-tempassin b/bin/ak-tempassin
index e692769..bc649c5 100755
--- a/bin/ak-tempassin
+++ b/bin/ak-tempassin
@@ -1,3 +1,14 @@
#!/bin/bash
AK_TEMP="mktemp -d aktmp-XXXXXXX"
+logit(){
+ ak-logthis <"$PROGRAM"> "$1" "$2"
+}
+if [ ! -d "$AK_TEMP" ]
+then
+ logit "[ERROR]" "Could not make $AK_TEMP directory to work in"
+ echo "Could not make $AK_TEMP directory to work in"
+ exit 1
+fi
+
+logit "[INFO]" "$AK_TEMP created successfully"
echo "$AK_TEMP"